%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
Name:           python-rhev
Version:        1.0
Release:        15.rc1%{?dist}.11
Summary:        Python binding to Red Hat Enterprise Virtualization's REST API

License:        MIT
URL:            https://fedorahosted.org/rhevm-api/
Source0:        https://fedorahosted.org/releases/r/h/rhevm-api/%{name}-%{version}-rc1.15.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-PyXB
BuildRequires:  python2-setuptools
BuildRequires:  /usr/bin/pyxbgen

%global _description\
Python-RHEV is a validating object-oriented Python binding to Red Hat\
Enterprise Virtualization's REST API.

%description %_description

%package -n python2-rhev
Summary: %summary
Requires:       python2-PyXB
%{?python_provide:%python_provide python2-rhev}

%description -n python2-rhev %_description

%prep
%setup -q -n python-rhev-1.0-rc1.15

%build
%py2_build

%install
%py2_install

%files -n python2-rhev
%doc examples/* README LICENSE AUTHORS
%{python_sitelib}/*

%changelog
* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-15.rc1.11
- Python 2 binary package renamed to python2-rhev
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Fri Aug 11 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-15.rc1.10
- Modernize a bit and fix build

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-15.rc1.10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-15.rc1.9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-15.rc1.8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-15.rc1.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-15.rc1.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-15.rc1.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-15.rc1.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-15.rc1.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-15.rc1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-15.rc1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov  1 2011 Marek Mahut <mmahut@fedoraproject.org> - 1.0-15.rc1.15
- Upstream release 1.0-rc1.15

* Fri Jul 20 2011 Marek Mahut <mmahut@fedoraproject.org> - 1.0-4.rc1.5
- Upstrem release 1.0-rc1.5

* Fri May 27 2011 Marek Mahut <mmahut@fedoraproject.org> - 1.0-2.rc1.3
- Upsteam release 1.0-rc1.1

* Mon Apr 18 2011 Marek Mahut <mmahut@fedoraproject.org> - 0.9-1.20110418git
- Updated build to match upsteam
- Patch python-rhev-0.9-fix-dependencies.patch removed

* Wed Mar 16 2011 Marek Mahut <mmahut@fedoraproject.org> - 0.9-1.20110316git
- Initial build
